[env]
_.python.venv = { path = ".venv", create = true, python = "3.13.5" }

[tasks.install]
description = "Install dependencies"
alias = "i"
run = "pip install -r requirements.txt"

[tasks.run]
description = "Run g2h with the test repo"
alias = "r"
run = "rm -rf ./test_out && python3 -m g2h.cli test_repo test_out --name 'Test repo'"

[tasks.test]
alias = "t"
run = "pytest"

[tasks.commit]
run = [
  'tar czf test_repo/git.tgz -C test_repo .git',
  'rm -rf test_repo/.git',
  './.mise-tasks/co.sh {{arg(name="commit args", var=true)}}',
  'tar xzf test_repo/git.tgz -C test_repo'
]
